glab(1)

NAME
glab-mr-update - Update a merge request.

SYNOPSIS
glab mr update [ | ] [flags]

DESCRIPTION
Update a merge request.

OPTIONS
-a, --assignee=[]
    Assign users via username. Prefix with '!' or '-' to remove from existing assignees, '+' to add. Otherwise, replace existing assignees with given users. Multiple usernames can be comma-separated or specified by repeating the flag.

-d, --description=""
    Merge request description. Set to "-" to open an editor.

--draft[=false]
    Mark merge request as a draft.

-f, --fill[=false]
    Do not prompt for title or body, and just use commit info.

--fill-commit-body[=false]
    Fill body with each commit body when multiple commits. Can only be used with --fill.

-l, --label=[]
    Add labels.

--lock-discussion[=false]
    Lock discussion on merge request.

-m, --milestone=""
    Title of the milestone to assign. Set to "" or 0 to unassign.

-r, --ready[=false]
    Mark merge request as ready to be reviewed and merged.

--remove-source-branch[=false]
    Toggles the removal of the source branch on merge.

--reviewer=[]
    Request review from users by their usernames. Prefix with '!' or '-' to remove from existing reviewers, '+' to add. Otherwise, replace existing reviewers with given users. Multiple usernames can be comma-separated or specified by repeating the flag.

--squash-before-merge[=false]
    Toggles the option to squash commits into a single commit when merging.

--target-branch=""
    Set target branch.

-t, --title=""
    Title of merge request.

--unassign[=false]
    Unassign all users.

-u, --unlabel=[]
    Remove labels.

--unlock-discussion[=false]
    Unlock discussion on merge request.

--wip[=false]
    Mark merge request as a work in progress. Alternative to --draft.

-y, --yes[=false]
    Skip confirmation prompt.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    # Mark a merge request as ready
    $ glab mr update 23 --ready
    # Mark a merge request as draft
    $ glab mr update 23 --draft
    # Updates the merge request for the current branch
    $ glab mr update --draft
    # Update merge request with commit information
    $ glab mr update 23 --fill --fill-commit-body --yes

SEE ALSO
glab-mr(1)